Get authenticated user information and organization memberships.
https://catalyst-usw.agentuity.cloudAuthentication
All requests require a Bearer token. Pass your SDK key in the Authorization header.
| Header | Value |
|---|---|
Authorization | Bearer YOUR_SDK_KEY |
You can find your SDK key in the Agentuity Console under your project settings.
Get Current User
Retrieve the authenticated user's profile including name and organization memberships.
GET
/cli/auth/userhttps://catalyst-usw.agentuity.cloud/cli/auth/userResponse
Returns the authenticated user's profile including name and organization memberships.
| Status | Description |
|---|---|
| 200 | User profile returned |
| 401 | Unauthorized — invalid or missing Bearer token |
Response Fields
| Field | Type | Description |
|---|---|---|
firstName | string | the first name of the user |
lastName | string | the last name of the user |
organizations | object[] | the organizations the user is a member of |
organizations[].id | string | the unique id for the organization |
organizations[].name | string | the name of the organization |
Example
curl -X GET 'https://catalyst-usw.agentuity.cloud/cli/auth/user' \
-H 'Authorization: Bearer $AGENTUITY_SDK_KEY'